% Chooses up to k number of indices to set to 1. Always sets index i to 1.
% Returns a binary array of length n with k elements equal to 1 and the
% rest equal to 0.
function randindices = generate_random_indices(n, k, i)
k = min(k, n);
count = 1;
randindices = zeros(1, n);
randindices(i) = 1;
while count < k
    randindex = randi(n);
    if randindices(randindex) == 1
        continue;
    else
        count = count + 1;
        randindices(randindex) = 1;
    end
end