% For each row of Afull, keep at most k elements, making the rest equal
% to 0.
function Asparse = sparsify(Afull, k)

n = size(Afull, 1);
Asparse = zeros(n,n);

for i=1:n
    randindices = generate_random_indices(n, k, i);
    Asparse(i,:) = Afull(i,:).*randindices;
end